Get the config for the logged in user's embeddable job description search tool
curl --request GET \
--url https://{region}.affinda.com/v2/job_description_search/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v2/job_description_search/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v2/job_description_search/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"allowPdfDownload": true,
"maxResults": 10,
"displayJobTitle": true,
"displayLocation": true,
"displayYearsExperience": true,
"displayOccupationGroup": true,
"displayEducation": true,
"displaySkills": true,
"displayLanguages": true,
"displayManagementLevel": true,
"displayKeywords": true,
"weightJobTitle": 123,
"weightLocation": 123,
"weightYearsExperience": 123,
"weightOccupationGroup": 123,
"weightEducation": 123,
"weightSkills": 123,
"weightLanguages": 123,
"weightManagementLevel": 123,
"weightKeywords": 123,
"indices": [
"all-job-descriptions",
"my-index"
],
"showIndexDropdown": true,
"searchToolTheme": {},
"userId": 1234,
"username": "big.smoke",
"actions": [
{
"label": "<string>",
"eventName": "<string>"
}
],
"customFieldsConfig": [
{
"dataPoint": "RdNAniIH",
"weight": 0.5
}
],
"distanceUnit": "km"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Search & Match - Embedding
Get the config for the logged in user's embeddable job description search tool
deprecated
Return configurations such as which fields can be displayed in the logged in user’s embeddable job description search tool, what are their weights, what is the maximum number of results that can be returned, etc.
GET
/
v2
/
job_description_search
/
config
Get the config for the logged in user's embeddable job description search tool
curl --request GET \
--url https://{region}.affinda.com/v2/job_description_search/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v2/job_description_search/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v2/job_description_search/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"allowPdfDownload": true,
"maxResults": 10,
"displayJobTitle": true,
"displayLocation": true,
"displayYearsExperience": true,
"displayOccupationGroup": true,
"displayEducation": true,
"displaySkills": true,
"displayLanguages": true,
"displayManagementLevel": true,
"displayKeywords": true,
"weightJobTitle": 123,
"weightLocation": 123,
"weightYearsExperience": 123,
"weightOccupationGroup": 123,
"weightEducation": 123,
"weightSkills": 123,
"weightLanguages": 123,
"weightManagementLevel": 123,
"weightKeywords": 123,
"indices": [
"all-job-descriptions",
"my-index"
],
"showIndexDropdown": true,
"searchToolTheme": {},
"userId": 1234,
"username": "big.smoke",
"actions": [
{
"label": "<string>",
"eventName": "<string>"
}
],
"customFieldsConfig": [
{
"dataPoint": "RdNAniIH",
"weight": 0.5
}
],
"distanceUnit": "km"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer 75z0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Response
The config for the logged in user's embeddable job description search tool.

